Subscription
Date: 2018-08-02

org.gcube.informationsystem.notifier.util

## Class Subscription

- java.lang.Object
- - org.gcube.informationsystem.notifier.util.SubscriptionObject<EPR,Consumer>
  - - org.gcube.informationsystem.notifier.util.Subscription

- All Implemented Interfaces:
    java.io.Serializable

      public class Subscription
      extends SubscriptionObject<EPR,Consumer>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static GCUBELog` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Subscription(Consumer consumer, EPR producer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `removeSubscription()`
    `void` | `subscribe(javax.xml.namespace.QName topic)`

    - ### Methods inherited from class org.gcube.informationsystem.notifier.util.SubscriptionObject

      `getConsumer, getNotificationResourceEnpoint, getProducer, isSubscribed, setConsumer, setNotificationResourceEnpoint, setProducer, setSubscribed`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          public static GCUBELog logger

  - ### Constructor Detail

    - #### Subscription

          public Subscription(Consumer consumer,
                      EPR producer)

  - ### Method Detail

    - #### removeSubscription

          public void removeSubscription()
                                  throws java.lang.Exception

      Specified by:
        `removeSubscription` in class `SubscriptionObject<EPR,Consumer>`
      Throws:
        `java.lang.Exception`

    - #### subscribe

          public void subscribe(javax.xml.namespace.QName topic)
                         throws java.lang.Exception

      Specified by:
        `subscribe` in class `SubscriptionObject<EPR,Consumer>`
      Throws:
        `java.lang.Exception`